Additional disk
All operations require authentication.
3 operationsv1/vps/{serviceName}
List disks attached to this VPSProduction
GET
/1.0/ vps/ {serviceName}/ disks
Returns the IDs of the disks attached to the VPS.
Path parameters
service Name
required
string
Service name
Response
200integer []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Retrieve details about a specific disk attached to this VPSProduction
GET
/1.0/ vps/ {serviceName}/ disks/ {id}
Returns the type, size, state, monitoring, bandwidth limit and low free space threshold of a disk of the VPS.
Path parameters
id
required
integer
Id
service Name
required
string
Service name
Response
200Disksuccessful operation
bandwidth Limit
read-only
integer
—
id
read-only
integer
—
low Free Space Threshold
integer
The low disk free space threshold in MiB
monitoring
boolean
The monitoring state of this disk
service Name
read-only
string
Service name
size
read-only
integer
—
state
read-only
State Enum
Possible states the disk can be in
Values
connecteddisconnectedpendingtype
read-only
Type Enum
Possible type a disk can be in
Values
additionalprimaryExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "bandwidthLimit": 0, "id": 0, "lowFreeSpaceThreshold": 0, "monitoring": true, "serviceName": "string", "size": 0, "state": "connected", "type": "additional"}
Update disk properties for this VPSProduction
PUT
/1.0/ vps/ {serviceName}/ disks/ {id}
Updates the monitoring state and the low free space threshold of a disk of the VPS.
Path parameters
id
required
integer
Id
service Name
required
string
Service name
Request body (required)
bandwidth Limit
read-only
integer
—
id
read-only
integer
—
low Free Space Threshold
integer
The low disk free space threshold in MiB
monitoring
boolean
The monitoring state of this disk
service Name
read-only
string
Service name
size
read-only
integer
—
state
read-only
State Enum
Possible states the disk can be in
Values
connecteddisconnectedpendingtype
read-only
Type Enum
Possible type a disk can be in
Values
additionalprimaryResponse
200—successful operation
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"